petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoSetFunctionLowerBound

Sets a bound on the solution objective value. When an approximate solution with an objective value below this number has been found, the solver will terminate.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetFunctionLowerBound(Tao tao,PetscReal fmin)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| fmin | - the tolerance

### Options Database Keys

-tao_fmin <fmin> -sets the minimum function value

### See Also

TaoSetTolerances()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages